Bug 217320 - lang/julia: backport freebsd only patches
Summary: lang/julia: backport freebsd only patches
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-24 10:03 UTC by Iblis Lin
Modified: 2017-02-27 13:45 UTC (History)
1 user (show)

See Also:


Attachments
julia patch (4.38 KB, patch)
2017-02-24 10:03 UTC, Iblis Lin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Iblis Lin 2017-02-24 10:03:18 UTC
Created attachment 180257 [details]
julia patch

related issue:
 - base/sharedarray.jl: https://github.com/JuliaLang/julia/pull/20757
 - base/mmap.jl: https://github.com/JuliaLang/julia/pull/20756
 - base/Terminal.jl: https://github.com/JuliaLang/julia/pull/20676
 - base/Libdl.jl: https://github.com/JuliaLang/julia/pull/20675
Comment 1 Li-Wen Hsu freebsd_committer 2017-02-24 14:07:41 UTC
how about files/patch-base_socket.jl ?
Comment 2 Iblis Lin 2017-02-24 14:27:51 UTC
I am working on test cases of socket currently
I will upstream it later.
Comment 3 Iblis Lin 2017-02-25 09:00:55 UTC
(In reply to Li-Wen Hsu from comment #1)
I just send this
base/socket.jl: https://github.com/JuliaLang/julia/pull/20799
Comment 4 Li-Wen Hsu freebsd_committer 2017-02-26 17:26:55 UTC
(In reply to Iblis Lin from comment #3)
How about waiting that patch being accepted, or do you want others get in ports tree first?
Comment 5 Iblis Lin 2017-02-27 05:30:51 UTC
In case of socket.jl, I hard-codes the value of AF_INET6; it's good enough for freebsd to commit. The PR on Julia's repo is working on crossing-os compatibility.
Comment 6 commit-hook freebsd_committer 2017-02-27 13:44:39 UTC
A commit references this bug:

Author: lwhsu
Date: Mon Feb 27 13:44:30 UTC 2017
New revision: 434936
URL: https://svnweb.freebsd.org/changeset/ports/434936

Log:
  - Backport FreeBSD only patches

  PR:		217320
  Submitted by:	Iblis Lin <iblis@hs.ntnu.edu.tw> (maintainer)

Changes:
  head/lang/julia/Makefile
  head/lang/julia/files/patch-base_Terminals.jl
  head/lang/julia/files/patch-base_libdl.jl
  head/lang/julia/files/patch-base_mmap.jl
  head/lang/julia/files/patch-base_sharedarray.jl
  head/lang/julia/files/patch-base_socket.jl